Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.gl20
Class GL20ResourceShaderFragmentBlend

    java.lang.Object
      de.grogra.imp3d.gl20.GL20Resource
          de.grogra.imp3d.gl20.GL20ResourceShaderFragment
              de.grogra.imp3d.gl20.GL20ResourceShaderFragmentBlend

    public class GL20ResourceShaderFragmentBlend

extends GL20ResourceShaderFragment

Field Summary

Fields inherited from class de.grogra.imp3d.gl20.GL20ResourceShaderFragment
`GL20CHANNEL_A, GL20CHANNEL_A_BIT, GL20CHANNEL_B, GL20CHANNEL_B_BIT, GL20CHANNEL_DERIVATE_BITS, GL20CHANNEL_DERIVATE_DU_BITS, GL20CHANNEL_DERIVATE_DV_BITS, GL20CHANNEL_DERIVATE_MAX, GL20CHANNEL_DERIVATE_MIN, GL20CHANNEL_DERIVATE_X_DU, GL20CHANNEL_DERIVATE_X_DU_BIT, GL20CHANNEL_DERIVATE_X_DV, GL20CHANNEL_DERIVATE_X_DV_BIT, GL20CHANNEL_DERIVATE_Y_DU, GL20CHANNEL_DERIVATE_Y_DU_BIT, GL20CHANNEL_DERIVATE_Y_DV, GL20CHANNEL_DERIVATE_Y_DV_BIT, GL20CHANNEL_DERIVATE_Z_DU, GL20CHANNEL_DERIVATE_Z_DU_BIT, GL20CHANNEL_DERIVATE_Z_DV, GL20CHANNEL_DERIVATE_Z_DV_BIT, GL20CHANNEL_G, GL20CHANNEL_G_BIT, GL20CHANNEL_NORMAL_BITS, GL20CHANNEL_NORMAL_X, GL20CHANNEL_NORMAL_X_BIT, GL20CHANNEL_NORMAL_Y, GL20CHANNEL_NORMAL_Y_BIT, GL20CHANNEL_NORMAL_Z, GL20CHANNEL_NORMAL_Z_BIT, GL20CHANNEL_POSITION_BITS, GL20CHANNEL_POSITION_X, GL20CHANNEL_POSITION_X_BIT, GL20CHANNEL_POSITION_Y, GL20CHANNEL_POSITION_Y_BIT, GL20CHANNEL_POSITION_Z, GL20CHANNEL_POSITION_Z_BIT, GL20CHANNEL_R, GL20CHANNEL_R_BIT, GL20CHANNEL_RGB_BITS, GL20CHANNEL_RGBA_BITS, GL20CHANNEL_TEXCOORD_BITS, GL20CHANNEL_TEXCOORD_U, GL20CHANNEL_TEXCOORD_U_BIT, GL20CHANNEL_TEXCOORD_V, GL20CHANNEL_TEXCOORD_V_BIT, GL20CHANNEL_TEXCOORD_W, GL20CHANNEL_TEXCOORD_W_BIT, GL20CHANNEL_X, GL20CHANNEL_X_BIT, GL20CHANNEL_XYZ_BITS, GL20CHANNEL_Y, GL20CHANNEL_Y_BIT, GL20CHANNEL_Z, GL20CHANNEL_Z_BIT`

Fields inherited from class de.grogra.imp3d.gl20.GL20Resource
`GL20RESOURCE_CLASS_LIGHT, GL20RESOURCE_CLASS_MASK, GL20RESOURCE_CLASS_MESH, GL20RESOURCE_CLASS_SHADER, GL20RESOURCE_CLASS_SHADERFRAGMENT, GL20RESOURCE_CLASS_SHAPE, GL20RESOURCE_CLASS_TEXTURE, GL20RESOURCE_LIGHT_DIRECTIONAL, GL20RESOURCE_LIGHT_POINT, GL20RESOURCE_LIGHT_SPOT, GL20RESOURCE_MESH_MULTI_USER, GL20RESOURCE_MESH_SINGLE_USER, GL20RESOURCE_SHADER_PHONG, GL20RESOURCE_SHADER_RGBA, GL20RESOURCE_SHADERFRAGMENT_BLEND, GL20RESOURCE_SHADERFRAGMENT_GRAYTONE, GL20RESOURCE_SHADERFRAGMENT_RGB, GL20RESOURCE_SHAPE_BOX, GL20RESOURCE_SHAPE_FRUSTUM, GL20RESOURCE_SHAPE_LINE, GL20RESOURCE_SHAPE_LINE_STRIP, GL20RESOURCE_SHAPE_PARALLELOGRAM, GL20RESOURCE_SHAPE_PLANE, GL20RESOURCE_SHAPE_POLYGONS, GL20RESOURCE_SHAPE_SPHERE, GL20RESOURCE_TEXTURE, GL20RESOURCE_TEXTURE_CUBEMAP, GL20RESOURCE_TYPE_MASK`

Constructor Summary
`GL20ResourceShaderFragmentBlend()`

Method Summary
`boolean` | `fragmentAffectOnAlpha()` check if this `GL20ResourceShaderFragment` affect the alpha channel

Methods inherited from class de.grogra.imp3d.gl20.GL20ResourceShaderFragment
`destroy, getChannelMap, getScalarIndex, getVector3Index, getVector4Index, isUpToDate, registerUser, setChannelMap, unregisterUser, update`

Methods inherited from class de.grogra.imp3d.gl20.GL20Resource
`getResourceClass, getResourceClassType, getResourceType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GL20ResourceShaderFragmentBlend

    public GL20ResourceShaderFragmentBlend()

Method Detail

### fragmentAffectOnAlpha

    public boolean fragmentAffectOnAlpha()

  Description copied from class: `GL20ResourceShaderFragment`
  check if this `GL20ResourceShaderFragment` affect the alpha channel

  Specified by:
    `fragmentAffectOnAlpha` in class `GL20ResourceShaderFragment`
  Returns:
    `true` this `GL20ResourceShader` will affect the alpha channel `false` this `GL20ResourceShader` will not affect the alpha channel

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD